apiVersion: extensions/v1beta1
kind: Deployment
metadata:
    name: example-ci
spec:
    replicas: 1
    template:
        metadata:
            labels:
                app: example-ci
        spec:
            containers:
                - name: example-ci
                image: registry.gitlab.com/bulagorn.s/example-ci
                imagePullPolicy: Always
            ports:
                - containerPort: 8080
            imagePullSecrets:
                - name: registry.gitlab.com 